Debian Bug report logs - #679663
ITP: editorconfig-core -- The core library and executable of EditorConfig

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hong Xu <xuhdev@gmail.com>

Date: Sat, 30 Jun 2012 15:39:01 UTC

Owned by: Vasudev Kamath <kamathvasudev@gmail.com>

Severity: wishlist

Fixed in version editorconfig-core/0.11.0-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#679663; Package wnpp. (Sat, 30 Jun 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hong Xu <xuhdev@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 30 Jun 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hong Xu <xuhdev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: editorconfig-core -- The core library and executable of EditorConfig
Date: Sat, 30 Jun 2012 23:33:50 +0800
Package: wnpp
Severity: wishlist

* Package name    : editorconfig-core
  Version         : 0.9.1
  Upstream Author : EditorConfig Team <editorconfig@googlegroups.com>
* URL             : http://editorconfig.org
* License         : Simplified BSD License
  Programming Lang: C
  Description     : The core library and executable of EditorConfig
    EditorConfig helps developers define and maintain consistent coding styles
between different editors and IDEs. The EditorConfig project consists of a file
format for defining coding styles and a collection of text editor plugins that
enable editors to read the file format and adhere to defined styles.
EditorConfig files are easily readibly and they work nicely with version
control systems. This package is the C version core library and executable that
many editor plugins depend on.




Changed Bug title to 'ITP: editorconfig-core -- The core library and executable of EditorConfig' from 'RFP: editorconfig-core -- The core library and executable of EditorConfig' Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Sun, 10 Mar 2013 10:03:05 GMT) Full text and rfc822 format available.

Owner recorded as Vasudev Kamath <kamathvasudev@gmail.com>. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Sun, 10 Mar 2013 10:03:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 29 Mar 2013 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Wed, 17 Apr 2013 21:03:08 GMT) Full text and rfc822 format available.

Notification sent to Hong Xu <xuhdev@gmail.com>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 21:03:08 GMT) Full text and rfc822 format available.

Message #16 received at 679663-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 679663-close@bugs.debian.org
Subject: Bug#679663: fixed in editorconfig-core 0.11.0-1
Date: Wed, 17 Apr 2013 21:00:07 +0000
Source: editorconfig-core
Source-Version: 0.11.0-1

We believe that the bug you reported is fixed in the latest version of
editorconfig-core, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679663@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated editorconfig-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 29 Mar 2013 16:41:00 +0100
Source: editorconfig-core
Binary: libeditorconfig0 libeditorconfig-dev libeditorconfig0-dbg editorconfig editorconfig-doc
Architecture: source all amd64
Version: 0.11.0-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 editorconfig - coding style indenter for all editors - commadline tools
 editorconfig-doc - coding style indenter across editors - documentation
 libeditorconfig-dev - coding style indenter across editors - development files
 libeditorconfig0 - coding style indenter across editors - library
 libeditorconfig0-dbg - coding style indenter across editors - debugging symbols
Closes: 679663
Changes: 
 editorconfig-core (0.11.0-1) unstable; urgency=low
 .
   [ Vasudev Kamath ]
   * Initial release.
     Closes: bug#679663.
Checksums-Sha1: 
 3b0c27e2d65fdb9dc9f84ad05a8604e7136b0aae 2278 editorconfig-core_0.11.0-1.dsc
 a7c15dc926d00d2eb3272e030a1e59b009ffa5b7 76347 editorconfig-core_0.11.0.orig.tar.gz
 e3622d50cb87cfd3cbd510e34696465acd9d4169 6790 editorconfig-core_0.11.0-1.debian.tar.gz
 b83bfa94e44f1d1640ee1476bf00da133fc00638 70616 editorconfig-doc_0.11.0-1_all.deb
 3a726ae280e1b92a114ee17383f0da6d4c61b3b5 14120 libeditorconfig0_0.11.0-1_amd64.deb
 175fce8fbf1f461afe8003d9cce1c2fa5000d787 17894 libeditorconfig-dev_0.11.0-1_amd64.deb
 f6e7a115edb79288ab8df59f19f2f9e822e6c466 43440 libeditorconfig0-dbg_0.11.0-1_amd64.deb
 7803d82e673024170c9a17b43326e3508bb20e87 18680 editorconfig_0.11.0-1_amd64.deb
Checksums-Sha256: 
 0f664a17c8874b60151f9f1bdce1956ab9eebfc84d5fe6a4a794c15ad08dc3c2 2278 editorconfig-core_0.11.0-1.dsc
 05df560a090df0c9c7897655d8267eed7a27bd270448e644e1bea966b304edb4 76347 editorconfig-core_0.11.0.orig.tar.gz
 29a2e1e11e9e4182550448256bf2058ab16abf5da23ff611b2a79e0ce86ff3de 6790 editorconfig-core_0.11.0-1.debian.tar.gz
 2217617b8c94267a8a9b2ee9c163a51ce9b9f72349ebb55fab660d61cb932b92 70616 editorconfig-doc_0.11.0-1_all.deb
 d1939f2e9da704338f14a61344beb05ba8fffee93395461cd37eb7d85e47ac86 14120 libeditorconfig0_0.11.0-1_amd64.deb
 59874b6a3e59893028a691c2a2e08ed5c7b6d086bd5ca45217db43684a7335ef 17894 libeditorconfig-dev_0.11.0-1_amd64.deb
 4d09487198db4f46936598b5efda21ea4e45c22c4543014427277f810e13528c 43440 libeditorconfig0-dbg_0.11.0-1_amd64.deb
 4ee195d5f9ed420ebe4fa90368228e7cd89cb1b8aeb9f00ec8f5cf329a5ba312 18680 editorconfig_0.11.0-1_amd64.deb
Files: 
 c899830b21b03cc3259ecd9be97b43a2 2278 libs optional editorconfig-core_0.11.0-1.dsc
 70107f17246188953c65766217e5261a 76347 libs optional editorconfig-core_0.11.0.orig.tar.gz
 703d23bc571ff862756a6e096b4b5e06 6790 libs optional editorconfig-core_0.11.0-1.debian.tar.gz
 ec589c111528da361f43e7e05cd8f243 70616 doc optional editorconfig-doc_0.11.0-1_all.deb
 a4211d40102bd4153bb4add2b870aa1f 14120 libs optional libeditorconfig0_0.11.0-1_amd64.deb
 24ec320a13167c156f3d6b7030cbb0be 17894 libdevel optional libeditorconfig-dev_0.11.0-1_amd64.deb
 ffcabfcd0aeef4902344fdac92df281c 43440 debug extra libeditorconfig0-dbg_0.11.0-1_amd64.deb
 411760770368a1bd424eaa0e9c5ae270 18680 utils optional editorconfig_0.11.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRVbesAAoJECx8MUbBoAEhriMP/RarSgWQe/ePXeZc75YxOATU
f5hXQAm2a6Kx/DMQ0LTrlwwnL0pPnOALxMXp1PvJ+UQO7E8cDp6RiumFd0yuM+ee
nvOrXlUSWjm9Rl4EZnef8qHaKgQKZfteYX/ZzcfTAFu7EP1I5+FXPbOevHW/GYjc
oBMNcK1SZGJ5sCFQ15dD2ADEfWlhJdLpB9FK5XT+9LxHumTZWDWoWCNCoZPGNu+Z
u4M916dxZ/pSw0z/PrET7bJKVzzy2tdTqk8Kzf+LBOD5S4IXmbgbeWKCKnEj8blH
O3fQeA/2RT0ybyR2wX8pWGfhbJtwJ+q14/NVTUKRe5xCJFC8s1f7yBx6QmCObRPm
ufSzkC+2YGjxJFa3cJpgeeiuSphAX9hZvLEPlXuoRHYZjC5LOGfWBQYh+CBM7EHE
LZBJUz9NW4pk/M8vw7Vcv2rqFNEUOZDWXRtXmXQ75gWbVGff7i0r4zqPZce7bu9P
ujq7yB+FVYd0Wi0sFgY5d9iYFnM78MRj3Ap014trWCYPdNxWYadxOpRRB64u2UtD
x3VPvY+E3Q0296Dti/eotz3WsWiQ6L9VjGuGBCJ8I7HAqDcc9OyyaCAXi2WXiAkn
9q0SXN5J4SNLRO9gEa/g/49hjFPcau19wm8TI7p2yJSVB3gKLe9M4DvuyXQNOCMr
ynX7mTuuMgg5pDWocW2F
=MTB7
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#679663; Package wnpp. (Wed, 17 Apr 2013 23:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hong Xu <hong@topbug.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Wed, 17 Apr 2013 23:39:04 GMT) Full text and rfc822 format available.

Message #21 received at 679663@bugs.debian.org (full text, mbox):

From: Hong Xu <hong@topbug.net>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 679663@bugs.debian.org
Subject: Re: Bug#679663: fixed in editorconfig-core 0.11.0-1
Date: Wed, 17 Apr 2013 16:34:54 -0700

On 4/17/13 2:00 PM, Jonas Smedegaard wrote:
> Source: editorconfig-core
> Source-Version: 0.11.0-1
>
> We believe that the bug you reported is fixed in the latest version of
> editorconfig-core, which is due to be installed in the Debian FTP archive.
>
> A summary of the changes between this version and the previous one is
> attached.
>
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 679663@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
>
> Debian distribution maintenance software
> pp.
> Jonas Smedegaard <dr@jones.dk> (supplier of updated editorconfig-core package)


Hi Jonas,

In fact I still cannot find the package in sid or testing. Did I miss 
something?

Thanks,
Hong



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#679663; Package wnpp. (Sat, 20 Apr 2013 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hong Xu <hong@topbug.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Sat, 20 Apr 2013 07:48:04 GMT) Full text and rfc822 format available.

Message #26 received at 679663@bugs.debian.org (full text, mbox):

From: Hong Xu <hong@topbug.net>
To: Jonas Smedegaard <dr@jones.dk>
Cc: "679663@bugs.debian.org" <679663@bugs.debian.org>
Subject: Re: Bug#679663: fixed in editorconfig-core 0.11.0-1
Date: Sat, 20 Apr 2013 00:43:47 -0700
[Message part 1 (text/plain, inline)]

On Apr 17, 2013, at 20:22, Jonas Smedegaard <dr@jones.dk> wrote:

> Quoting Jonas Smedegaard (2013-04-18 05:17:05)
>> Quoting Hong Xu (2013-04-18 01:34:54)
>>> On 4/17/13 2:00 PM, Jonas Smedegaard wrote:
>>>> Source: editorconfig-core
>>>> Source-Version: 0.11.0-1
>>>> 
>>>> We believe that the bug you reported is fixed in the latest version of
>>>> editorconfig-core, which is due to be installed in the Debian FTP archive.
>>>> 
>>>> A summary of the changes between this version and the previous one is
>>>> attached.
>>>> 
>>>> Thank you for reporting the bug, which will now be closed.  If you
>>>> have further comments please address them to 679663@bugs.debian.org,
>>>> and the maintainer will reopen the bug report if appropriate.
>>>> 
>>>> Debian distribution maintenance software
>>>> pp.
>>>> Jonas Smedegaard <dr@jones.dk> (supplier of updated editorconfig-core package)
>>> 
>>> 
>>> Hi Jonas,
>>> 
>>> In fact I still cannot find the package in sid or testing. Did I miss 
>>> something?
>> 
>> You quote the above as if written by me, but I do not recognize the 
>> style of writing.
>> 
>> Could you please pass me the full original emails including heading?
> 
> Ah, I got above message now too - you snipped the very next paragraph 
> which hinted that it was an automated message, not one written by me.
> 
> Sorry for my alarming reaction.
> 
> So, back to your question: Debian distribution is updated each 6 hours, 
> so the package will probably appear within few more hours (if it haven't 
> already by now).

Hi Jonas,

About two days have passed but I can still not find it in debian packages:

http://packages.debian.org/search?keywords=editorconfig+&searchon=names&suite=all&section=all

Could you help with this please?

Thanks!
Hong
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#679663; Package wnpp. (Sat, 20 Apr 2013 08:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Sat, 20 Apr 2013 08:00:04 GMT) Full text and rfc822 format available.

Message #31 received at 679663@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Hong Xu <hong@topbug.net>, 679663@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>
Subject: Re: Bug#679663: fixed in editorconfig-core 0.11.0-1
Date: Sat, 20 Apr 2013 09:57:10 +0200
On 2013-04-20 09:43, Hong Xu wrote:
> Hi Jonas,
> 
> About two days have passed but I can still not find it in debian packages:
> 

Hi,

The package is available (now at least, see [1]).

> http://packages.debian.org/search?keywords=editorconfig+&searchon=names&suite=all&section=all

I think (but I don't remember the exact details) that packages.d.o is
having a problem with staying up to date (alternatively it may just be
slower at updating, don't know).  Sadly, some of the links in [1] that
refers back to packages.d.o is still broken at the time of writing.

> Could you help with this please?
> 
> Thanks!
> Hong


~Niels

[1] http://packages.qa.debian.org/e/editorconfig-core.html





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#679663; Package wnpp. (Sat, 20 Apr 2013 08:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Sat, 20 Apr 2013 08:09:04 GMT) Full text and rfc822 format available.

Message #36 received at 679663@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Hong Xu <hong@topbug.net>,
Cc: "679663@bugs.debian.org" <679663@bugs.debian.org>
Subject: Re: Bug#679663: fixed in editorconfig-core 0.11.0-1
Date: Sat, 20 Apr 2013 10:06:38 +0200
Quoting Hong Xu (2013-04-20 09:43:47)
> On Apr 17, 2013, at 20:22, Jonas Smedegaard <dr@jones.dk> wrote:
> 
> About two days have passed but I can still not find it in debian packages:
> 
> http://packages.debian.org/
> search?keywords=editorconfig+&amp;searchon=names&amp;suite=all&amp;section=all
> 
> Could you help with this please?

Package name is editorconfig-core (not editorconfig).

If you are interested in continuously tracking the package, I recommend 
you to use http://packages.qa.debian.org/editorconfig-core and consider 
subscribing by email at the lower left corner.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 May 2013 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:59:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.